%global momorel 1
%define py_ver 2.5

Summary: Python bindings for GObject
Name: pygobject
Version: 2.14.2
Release: %{momorel}m%{?dist}
URL: http://www.pygtk.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.14/%{name}-%{version}.tar.bz2
NoSource: 0
License: LGPL
Group: Development/Languages
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: gtk2 >= 2.12.9
Requires: python >= %{pyver}
BuildPrereq: glib2-devel >= 2.16.3
BuildPrereq: python-devel >= %{pyver}

%description
This archive contains bindings for the GObject, to be used in Python
It is a fairly complete set of bindings, it's already rather useful,
and is usable to write moderately complex programs.  (see the
examples directory for some examples of the simpler programs you could
write).
#'

%package devel
Summary: Development files for pygobject
Group: Development/Languages
Requires: %name = %{version}-%{release}
Requires: glib2-devel
 
%description devel
Development files for %oname.
 
%prep
%setup -q

%build
export PYTHON=%{_bindir}/python%{py_ver}
%configure --enable-thread --enable-docs
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(755, root, root, 755)
%doc AUTHORS  COPYING  ChangeLog  NEWS  README
%{_libdir}/python%{py_ver}/site-packages/pygtk*
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/gobject/*
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/dsextras.p*

%files devel
%defattr(755, root, root, 755)
%{_includedir}/pygtk-2.0/*.h
%{_libdir}/pkgconfig/*.pc
%{_datadir}/pygobject/xsl
%{_datadir}/gtk-doc/html/pygobject

%changelog
* Sat May 24 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-1m)
- update to 2.14.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.14.1-2m)
- rebuild against gcc43

* Fri Jan  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-1m)
- update to 2.14.1

* Sun Sep 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-1m)
- update to 2.14.0

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.12.3-2m)
- rebuild against python-2.5

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.3-1m)
- update to 2.12.3

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-1m)
- update to 2.12.1

* Wed Aug 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.1-1m)
- update to 2.10.1

* Fri Jun  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.0-2m)
- delete duplicated dir

* Mon Apr 10 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.10.0-1m)
- version 2.10.0
